> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions

> Retrieve a paginated list of all transactions in your program

## Endpoint

```
GET https://api.partnero.com/v1/transactions
```

## Query parameters

| Parameter | Type    | Default | Description                        |
| --------- | ------- | ------- | ---------------------------------- |
| `limit`   | integer | 15      | Number of results per page (1–250) |
| `page`    | integer | 1       | Page number for pagination         |
| `key`     | string  | —       | Filter by transaction key          |

## Request

```bash cURL theme={null}
curl --location 'https://api.partnero.com/v1/transactions?limit=50' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "key": "transaction_123",
        "action": "sale",
        "amount": 99.99,
        "partner": "partner_123",
        "customer": "customer_123",
        "credit": false,
        "is_currency": true,
        "amount_units": "USD",
        "created_at": "2025-05-07T05:32:48.000000Z",
        "deleted_at": null,
        "rewards": [
          {
            "key": "transaction_123",
            "action": "sale",
            "status": "ok",
            "customer": "customer_123",
            "partner": "partner_123",
            "amount": 29.997,
            "amount_units": "USD",
            "is_currency": true,
            "credit": false,
            "created_at": "2025-05-07T05:32:48.000000Z",
            "deleted_at": null,
            "product_type_data": {}
          }
        ]
      },
      {
        "key": "transaction_456",
        "action": "sale",
        "amount": 50.99,
        "partner": "partner_456",
        "customer": "customer_456",
        "credit": false,
        "is_currency": true,
        "amount_units": "USD",
        "created_at": "2025-05-07T06:15:22.000000Z",
        "deleted_at": null,
        "rewards": []
      }
    ],
    "links": {
      "first": "https://api.partnero.com/v1/transactions?page=1",
      "last": null,
      "prev": null,
      "next": null
    },
    "meta": {
      "current_page": 1,
      "from": 1,
      "path": "https://api.partnero.com/v1/transactions",
      "per_page": 15,
      "to": 2
    },
    "status": 1
  }
  ```
</ResponseExample>

### Response fields

<Accordion title="Transactions — data[]">
  | Field          | Type         | Description                             |
  | -------------- | ------------ | --------------------------------------- |
  | `key`          | string       | Unique transaction identifier           |
  | `action`       | string       | Transaction type (e.g., `sale`)         |
  | `amount`       | number       | Transaction amount                      |
  | `amount_units` | string       | Currency code                           |
  | `partner`      | string       | Partner key                             |
  | `customer`     | string       | Customer key                            |
  | `credit`       | boolean      | Whether this is a credit transaction    |
  | `is_currency`  | boolean      | Whether the amount is monetary          |
  | `rewards`      | array        | Associated rewards/commissions          |
  | `created_at`   | string       | ISO 8601 timestamp                      |
  | `deleted_at`   | string\|null | Deletion timestamp if archived/refunded |
</Accordion>

<Accordion title="Pagination — links, meta">
  | Field               | Type         | Description                    |
  | ------------------- | ------------ | ------------------------------ |
  | `links.first`       | string       | URL to the first page          |
  | `links.last`        | string\|null | URL to the last page           |
  | `links.prev`        | string\|null | URL to the previous page       |
  | `links.next`        | string\|null | URL to the next page           |
  | `meta.current_page` | integer      | Current page number            |
  | `meta.from`         | integer      | First item number on this page |
  | `meta.per_page`     | integer      | Items per page                 |
  | `meta.to`           | integer      | Last item number on this page  |
  | `meta.path`         | string       | Base URL for the endpoint      |
</Accordion>
